Bug 1732892 - Registration messaging changed to "owner with key xxx no found"
Summary: Registration messaging changed to "owner with key xxx no found"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 2.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Prakhar
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-24 15:52 UTC by Richard Bernleithner
Modified: 2019-09-24 17:26 UTC (History)
6 users (show)

Fixed In Version: candlepin-2.9.0-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-24 17:26:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github candlepin candlepin pull 2431 None closed [ENT-1530]1732892: Registration messaging changed to "owner with key xxx no found" 2020-01-23 14:12:05 UTC

Description Richard Bernleithner 2019-07-24 15:52:00 UTC
Description of problem:

Prior to last weekend's Candlepin upgrade, users without proper permissions  received a descriptive message in subscription manager when attempting to register a system:

"{$user] cannot register with any organizations"

The messaging has changed to


"owner with key: [$orgid} was not found"  which isn't very descriptive.

Can the exception handling message be modified to better reflect why the customer cannot register a system?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Attempt to register system as an active  non-orgadmin  user with "view all" candlepin system access preference via subscription-manager
2.
3.

Actual results:

"owner with key: [$orgid} was not found"

Expected results:

"{$user] is not authorized to  register with any organizations"

Additional info:


Note You need to log in before you can comment on or make changes to this bug.